require [ "regex", "variables", "fileinto", "envelope", "mailbox", "imap4flags", "include" ];

if anyof (
    header :contains "list-id" "<debian-security-announce.lists.debian.org>",
    header :contains "list-id" "<ubuntu-security-announce.lists.ubuntu.com>"
    ) {
    fileinto :create "sec";
    stop;
         }

if anyof (
    header :contains "list-id" "<bbdb-info.lists.sourceforge.net>",
    header :contains "list-id" "<bug-bash.gnu.org>",
    header :contains "list-id" "<bug-gnu-emacs.gnu.org>",
    header :contains "list-id" "<debian-backports.lists.debian.org>",
    header :contains "list-id" "<debian-security-announce.lists.debian.org>",
    header :contains "list-id" "<debian-user.lists.debian.org>",
    header :contains "list-id" "<ding.gnus.org>",
    header :contains "list-id" "<emacs-devel.gnu.org>",
    header :contains "list-id" "<emacs-orgmode.gnu.org>",
    header :contains "list-id" "<git.vger.kernel.org>",
    header :contains "list-id" "<help-bash.gnu.org>",
    header :contains "list-id" "<help-gnu-emacs.gnu.org>",
    header :contains "list-id" "<hyperkitty-devel.lists.fedorahosted.org>",
    header :contains "list-id" "<ipxe-devel.lists.ipxe.org>",
    header :contains "list-id" "<kplug-list.kernel-panic.org>",
    header :contains "list-id" "<kplug-newbie.kernel-panic.org>",
    header :contains "list-id" "<libreplanet-discuss.libreplanet.org>",
    header :contains "list-id" "<linux-btrfs.vger.kernel.org>",
    header :contains "list-id" "<linux-fai.uni-koeln.de>",
    header :contains "list-id" "<linux-fai-devel.uni-koeln.de>",
    header :contains "list-id" "<linux-libre.fsfla.org>",
    header :contains "list-id" "<maru-os-dev.googlegroups.com>",
    header :contains "list-id" "<mediawiki-l.lists.wikimedia.org>",
    header :contains "list-id" "<pywikibot.lists.wikimedia.org>",
    header :contains "list-id" "<pywikipedia-l.lists.wikimedia.org>",
    header :contains "list-id" "<unison-hackers.lists.seas.upenn.edu>",
    header :contains "list-id" "<unison-users.yahoogroups.com>",
    header :contains "list-id" "<whispersystems.lists.riseup.net>",
    header :contains "list-id" "<wikitech-l.lists.wikimedia.org>",
    header :contains "list-id" "<xapian-devel.lists.xapian.org>",
    header :contains "list-id" "<kdeconnect.kde.org>",
    header :contains "list-id" "<mu-discuss.googlegroups.com>",
    header :contains "list-id" "<<devel.mediagoblin.org>",
    header :contains "list-id" "<maru-os.googlegroups.com>",
    header :contains "list-id" "<listhelper-moderate.nongnu.org>",
    header :contains "list-id" "<coreboot.coreboot.org>",
    header :contains "list-id" "<mailman-users.python.org>",
    header :contains "list-id" "<duplicity-talk.nongnu.org>",
    header :contains "list-id" "<qemu-devel.nongnu.org>",
    header :contains "list-id" "<exim-dev.exim.org>",
    header :contains "list-id" "<exim-users.exim.org>",
    header :contains "list-id" "<octave-maintainers.gnu.org>",
    header :contains "list-id" "<xmonad.haskell.org>") {
    if header :regex "list-id" "<([a-z_0-9-]+)[.@]" {
        set :lower "listname" "${1}";
        fileinto :create "l/${listname}";
    }
}
if anyof (
    header :contains "list-id" "<websites.lists.fedoraproject.org>",
    header :contains "list-id" "<docs.lists.fedoraproject.org>",
    header :contains "list-id" "<users.lists.fedoraproject.org>") {
    if header :regex "list-id" "<([a-z_0-9-]+)[.@]" {
        set :lower "listname" "${1}";
        fileinto :create "l/fedora.${listname}";
    }
}

if anyof (
    header :contains "list-id" "<activists_masspirates.org.lists.mayfirst.org>",
    header :contains "list-id" "<gnu-prog-discuss.gnu.org>",
    header :contains "list-id" "<gnu-prog.gnu.org>",
    header :contains "list-id" "<discuss.blu.org>"
    ) {
    fileinto :create "community";
    stop;
         }

if allof (
    address :is "from" "mailman-owner@zope.org",
    header :is "subject" "zope.org mailing list memberships reminder"
    ) {
    discard;
    stop;
         }
